Package org.eclipse.emf.cdo.view

## Interface CDORegistrationHandler

- All Known Implementing Classes:
    `CDORegistrationHandler.Default`

      public interface CDORegistrationHandler

  Call-back handler used by `views` to tell implementors of this interface about registrations and deregistrations of `objects` with `views`.
  Since:
    4.6
  Author:
    Eike Stepper
  See Also:
    `CDOView.addRegistrationHandler(CDORegistrationHandler)`, `CDOView.removeRegistrationHandler(CDORegistrationHandler)`, `CDOView.isObjectRegistered(org.eclipse.emf.cdo.common.id.CDOID)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDORegistrationHandler.Default` | A concrete default implementation of `CDORegistrationHandler`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `objectCollected​(CDOView view, CDOID id)` |
    `void` | `objectDeregistered​(CDOView view, CDOObject object)` |
    `void` | `objectRegistered​(CDOView view, CDOObject object)` |

- - ### Method Detail

    - #### objectRegistered

          void objectRegistered​(CDOView view,
                                CDOObject object)

    - #### objectDeregistered

          void objectDeregistered​(CDOView view,
                                  CDOObject object)

    - #### objectCollected

          void objectCollected​(CDOView view,
                               CDOID id)